### Method

# Gtk FileChooserremove_choice

deprecated: 4.10

#### Declaration [src]

    void
    gtk_file_chooser_remove_choice (
      GtkFileChooser* chooser,
      const char* id
    )

#### Description [src]

Removes a ‘choice’ that has been added with gtk_file_chooser_add_choice().

Deprecated since: 4.10

Use `GtkFileDialog` instead.

#### Parameters

`id`

  Type: `const char*`

  The ID of the choice to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.